apiVersion: v1
kind: Pod
metadata:
  name: init-git-clone
  labels:
    app: init-container
spec:
  containers:
  - name: ubuntu
    image: project42/s6-ubuntu:20.04
    volumeMounts:
    - mountPath: /mnt/scratch
      name: scratch
    resources:
      requests:
        memory: "64Mi"
        cpu: "50m"
      limits:
        memory: "128Mi"
        cpu: "50m"
  - name: centos
    image: project42/s6-centos:7
    volumeMounts:
    - mountPath: /mnt/scratch
      name: scratch
    resources:
      requests:
        memory: "64Mi"
        cpu: "50m"
      limits:
        memory: "128Mi"
        cpu: "100m"
  initContainers:
  - name: git-clone
    image: alpine/git
    args:
      - clone
      - https://gitlab.com/abctraining/devops/azure-kubernetes-services.git
    volumeMounts:
    - mountPath: /git
      name: scratch
    resources:
      limits:
        memory: "128Mi"
        cpu: "500m"
  volumes:
  - name: scratch
    emptyDir: {}
